part of cresce_ui;

class CModal extends StatelessWidget {
  final Widget child;
  final Size size;
  final double radius;

  const CModal({
    Key? key,
    required this.child,
    this.size = const Size(324.0, 500.0),
    this.radius = 20.0,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: size.width,
      height: size.height,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(radius),
        color: const Color(0xffffffff),
        boxShadow: const [
          BoxShadow(
            color: Color(0x29000000),
            offset: Offset(0, 3),
            blurRadius: 6,
          ),
        ],
      ),
      child: child,
    );
  }
}
